Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.apifacade.xbreeze
Class UbmXbrlHelper

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.apifacade.xbreeze.UbmXbrlHelper

    public abstract class UbmXbrlHelper

extends java.lang.Object

Esta clase contiene métodos de utilidad y de apoyo para los procesos de trabajo con XBREEZE.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`UbmXbrlHelper()`

Method Summary
`static void` | `displayMemos(java.util.ArrayList memos)` This is a small utility method that dispalys all the memos
`static java.lang.String` | `getStringMemos(java.util.ArrayList<ubmatrix.xbrl.common.memo.src.IMemo> memos)` Devuelve la lista de memos como string
`static java.util.Iterator` | `handleFacts(java.lang.String factQuery, ubmatrix.xbrl.common.xml.xPath.src.IExtensionFunctionArgs args)` Devuelve los facts manejados por la query
`static ubmatrix.xbrl.common.src.IDTS` | `load(java.lang.String fileUri, int fileType, UbmXbrlMessages messages)` This method loads a file from the specified fileUri.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UbmXbrlHelper

    public UbmXbrlHelper()

Method Detail

### load

    public static ubmatrix.xbrl.common.src.IDTS load(java.lang.String fileUri,
                                                     int fileType,
                                                     UbmXbrlMessages messages)
                                              throws ubmatrix.xbrl.common.formatter.src.FormatterException

  This method loads a file from the specified fileUri. A fileType, indicating whether it is a Taxonomy, Linkbase or Instance document, is also passed. After successful load, this method returns the DTS.

  Parameters:
    `fileUri` - : The file to be loaded
    `fileType` - : Indicating whether the file is Taxonomy or Instance or Linkbase
  Returns:
    The DTS
  Throws:
    `ubmatrix.xbrl.common.formatter.src.FormatterException`

### displayMemos

    public static void displayMemos(java.util.ArrayList memos)
                             throws ubmatrix.xbrl.common.formatter.src.FormatterException

  This is a small utility method that dispalys all the memos

  Parameters:
    `memos` - list of memos
  Throws:
    `ubmatrix.xbrl.common.formatter.src.FormatterException`

### getStringMemos

    public static java.lang.String getStringMemos(java.util.ArrayList<ubmatrix.xbrl.common.memo.src.IMemo> memos)
                                           throws ubmatrix.xbrl.common.formatter.src.FormatterException

  Devuelve la lista de memos como string

  Parameters:
    `memos` - lista memos sin tratar
  Returns:
    texto compuesto por la concatenación de los memos del parametro de entrada
  Throws:
    `ubmatrix.xbrl.common.formatter.src.FormatterException`

### handleFacts

    public static java.util.Iterator handleFacts(java.lang.String factQuery,
                                                 ubmatrix.xbrl.common.xml.xPath.src.IExtensionFunctionArgs args)
                                          throws ubmatrix.xbrl.common.exception.src.CoreException

  Devuelve los facts manejados por la query

  Parameters:
    `factQuery` -
    `args` -
  Returns:
    iterator lista de facts
  Throws:
    `ubmatrix.xbrl.common.exception.src.CoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD